Debian Bug report logs - #668284
ITP: spice-xpi -- SPICE extension for Mozilla

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Jaša <jasa.david@gmail.com>

Date: Tue, 10 Apr 2012 16:30:02 UTC

Owned by: Petter Reinholdtsen <pere@debian.org>

Severity: wishlist

Fixed in version spice-xpi/2.8-2

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#668284; Package spice-xpi. (Tue, 10 Apr 2012 16:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Jaša <jasa.david@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Tue, 10 Apr 2012 16:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Jaša <jasa.david@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: spice-xpi -- SPICE extension for Mozilla
Date: Tue, 10 Apr 2012 18:27:37 +0200
Package: spice-xpi
Severity: wishlist

The package is needed if Debian desktops are to be used as client
machines to access VMs managed by oVirt (http://ovirt.org) in a user
friendly way. 

Other relevant info:
Description: SPICE extension for mozilla allows the SPICE client to be opened from a web browser.
Fedora package: https://admin.fedoraproject.org/pkgdb/acls/name/spice-xpi
License: MPL version 1.1
Home Page: http://spice-space.org/
Tarball download site: http://spice-space.org/download.html (cgit repo below can be used, too)
Source repository:    git://anongit.freedesktop.org/spice/spice-xpi
Web view of the repo: http://cgit.freedesktop.org/spice/spice-xpi
Fedora package: https://admin.fedoraproject.org/pkgdb/acls/name/spice-xpi
Mailing list: http://lists.freedesktop.org/mailman/listinfo/spice-devel






Bug reassigned from package 'spice-xpi' to 'wnpp'. Request was from Gergely Nagy <algernon@balabit.hu> to control@bugs.debian.org. (Wed, 11 Apr 2012 08:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668284; Package wnpp. (Tue, 22 May 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <pollmeier@gonicus.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 May 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 668284@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <pollmeier@gonicus.de>
To: 668284@bugs.debian.org
Subject: Re: RFP: spice-xpi -- SPICE extension for Mozilla
Date: Tue, 22 May 2012 16:27:16 +0200
[Message part 1 (text/plain, inline)]
There is an initial debian packaging here:

https://github.com/cajus/spice-xpi
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668284; Package wnpp. (Thu, 31 May 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Fantoni <fabio.fantoni@heliman.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 31 May 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #17 received at 668284@bugs.debian.org (full text, mbox):

From: Fabio Fantoni <fabio.fantoni@heliman.it>
To: 668284@bugs.debian.org
Subject: Re: RFP: spice-xpi -- SPICE extension for Mozilla
Date: Thu, 31 May 2012 10:21:59 +0200
I see on changelog of the repository linked:

spice-xpi (2.7-1) unstable; urgency=low
  * Initial release. Closes: 668284.
 -- Cajus Pollmeier <cajus@debian.org> Fri, 06 May 2011 11:59:58 +0200 
The package is not present on unstable repository, news about? Thanks 
for any reply.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668284; Package wnpp. (Fri, 26 Oct 2012 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timothy Hildred <timhildred@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Oct 2012 00:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 668284@bugs.debian.org (full text, mbox):

From: Timothy Hildred <timhildred@gmail.com>
To: 668284@bugs.debian.org
Subject: Debian mozilla-spice dogpile
Date: Fri, 26 Oct 2012 10:38:18 +1000
[Message part 1 (text/plain, inline)]
Hello, I would like to be able to use oVirt vms from my Ubuntu desktop.
Currently I have to reboot into Fedora, or worse, Windows.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668284; Package wnpp. (Fri, 29 Mar 2013 13:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 29 Mar 2013 13:09:13 GMT) Full text and rfc822 format available.

Message #27 received at 668284@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Liang Guo <guoliang@debian.org>
Cc: 668284@bugs.debian.org
Subject: Spice-xpi package in debian
Date: Fri, 29 Mar 2013 14:06:00 +0100
Hello,

I'm contacting you as you are packaging the rest of the spice stack.

I was wondering if you saw the RFP (bug #668284) for spice-xpi which is
a in browser plugin that allows people using ovirt to connect the
display of a VM.

Somebody already made some initial work for the packaging. I would
however mayve change the name of the binary package to something else.

Do you think you might be interested in maintaining this package in
Debian?

Cheers

Laurent Bigonville



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#668284; Package wnpp. (Mon, 01 Apr 2013 02:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liang Guo <bluestonechina@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Apr 2013 02:30:04 GMT) Full text and rfc822 format available.

Message #32 received at 668284@bugs.debian.org (full text, mbox):

From: Liang Guo <bluestonechina@gmail.com>
Cc: 668284@bugs.debian.org
Subject: Re: Spice-xpi package in debian
Date: Mon, 1 Apr 2013 10:27:21 +0800
On Fri, Mar 29, 2013 at 9:06 PM, Laurent Bigonville <bigon@debian.org> wrote:
> Hello,
>
> I'm contacting you as you are packaging the rest of the spice stack.
>
> I was wondering if you saw the RFP (bug #668284) for spice-xpi which is
> a in browser plugin that allows people using ovirt to connect the
> display of a VM.
>
> Somebody already made some initial work for the packaging. I would
> however mayve change the name of the binary package to something else.
>
> Do you think you might be interested in maintaining this package in
> Debian?
>
> Cheers
>
> Laurent Bigonville
Hi, I'll have A look at it.
Thanks,

--
Liang Guo
http://bluestone.cublog.cn



Changed Bug title to 'ITP: spice-xpi -- SPICE extension for Mozilla' from 'RFP: spice-xpi -- SPICE extension for Mozilla' Request was from Liang Guo <guoliang@alioth.debian.org> to control@bugs.debian.org. (Mon, 01 Apr 2013 02:39:04 GMT) Full text and rfc822 format available.

Owner recorded as Liang Guo <guoliang@alioth.debian.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 01 Apr 2013 07:33:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <guoliang@alioth.debian.org>:
Bug#668284; Package wnpp. (Wed, 30 Oct 2013 13:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <guoliang@alioth.debian.org>. (Wed, 30 Oct 2013 13:27:08 GMT) Full text and rfc822 format available.

Message #41 received at 668284@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>
To: 668284@bugs.debian.org, Liang Guo <bluestonechina@gmail.com>
Cc: David Jaša <jasa.david@gmail.com>, Cajus Pollmeier <pollmeier@gonicus.de>, Fabio Fantoni <fabio.fantoni@heliman.it>, Timothy Hildred <timhildred@gmail.com>, Laurent Bigonville <bigon@debian.org>
Subject: Re: Spice-xpi package in debian
Date: Wed, 30 Oct 2013 14:25:09 +0100
[Liang Guo 2013-04-01]
> Hi, I'll have A look at it.

Not sure how far you got, but I had a look myself, and created a
collab-maint repository with the source for a debian package of
spice-api, as I needed a debian package myself.  I picked collab-maint
as other spice related packages already was maintained there.

To fetch it, visit one of

  <URL: git+ssh://git.debian.org/git/collab-maint/spice-xpi.git >
  <URL: git://anonscm.debian.org/collab-maint/spice-xpi.git >
  <URL: http://anonscm.debian.org/git/collab-maint/spice-xpi.git >

I've imported upstream version 2.5 - 2.8 into the git repository
(using git-import-orig --pristine-tar ../spice-xpi_2.X.orig.tar.bz2)
and copied the build rules from
<URL: https://github.com/cajus/spice-xpi.git >.  Who want to join in
on the package maintenance?  If possible, I would like to leave the
maintenance to someone else.

If you want to help out, please add yourself in debian/control, and if
the package is found to be working for you, please upload it into
unstable.  If no-one show up in the next two days, I'll upload it
myself.

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Liang Guo <guoliang@alioth.debian.org>:
Bug#668284; Package wnpp. (Fri, 01 Nov 2013 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Liang Guo <guoliang@alioth.debian.org>. (Fri, 01 Nov 2013 09:39:04 GMT) Full text and rfc822 format available.

Message #46 received at 668284@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 668284@bugs.debian.org, Liang Guo <bluestonechina@gmail.com>, David Jaša <jasa.david@gmail.com>, Cajus Pollmeier <pollmeier@gonicus.de>, Fabio Fantoni <fabio.fantoni@heliman.it>, Timothy Hildred <timhildred@gmail.com>, Laurent Bigonville <bigon@debian.org>
Subject: Re: Spice-xpi package in debian
Date: Fri, 1 Nov 2013 10:37:50 +0100
Control: owner -1 Petter Reinholdtsen <pere@debian.org>

[Petter Reinholdtsen]
> If no-one show up in the next two days, I'll upload it myself.

No reply so far, so I just uploaded the package to unstable, and it is
now in the NEW queue. I still very much welcome help maintaining the
package.  I do not know much about spice myself, just a user of it.

-- 
Happy hacking
Petter Reinholdtsen



Owner changed from Liang Guo <guoliang@alioth.debian.org> to Petter Reinholdtsen <pere@debian.org>. Request was from Petter Reinholdtsen <pere@hungry.com> to 668284-submit@bugs.debian.org. (Fri, 01 Nov 2013 09:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#668284; Package wnpp. (Fri, 01 Nov 2013 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Petter Reinholdtsen <pere@debian.org>. (Fri, 01 Nov 2013 22:54:04 GMT) Full text and rfc822 format available.

Message #55 received at 668284@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 668284@bugs.debian.org, Liang Guo <bluestonechina@gmail.com>, David Jaša <jasa.david@gmail.com>, Cajus Pollmeier <pollmeier@gonicus.de>, Fabio Fantoni <fabio.fantoni@heliman.it>, Timothy Hildred <timhildred@gmail.com>
Subject: Re: Spice-xpi package in debian
Date: Fri, 1 Nov 2013 23:50:26 +0100
Le Fri, 1 Nov 2013 10:37:50 +0100,
Petter Reinholdtsen <pere@hungry.com> a écrit :

Hi,

> Control: owner -1 Petter Reinholdtsen <pere@debian.org>
> 
> [Petter Reinholdtsen]
> > If no-one show up in the next two days, I'll upload it myself.
> 
> No reply so far, so I just uploaded the package to unstable, and it is
> now in the NEW queue. I still very much welcome help maintaining the
> package.  I do not know much about spice myself, just a user of it.
> 

Thanks for the upload, I'm also only a user of spice and I was not
really planning to maintain this package in the archive.

Cheers

Laurent Bigonville



Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 00:03:26 GMT) Full text and rfc822 format available.

Notification sent to David Jaša <jasa.david@gmail.com>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 00:03:27 GMT) Full text and rfc822 format available.

Message #60 received at 668284-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 668284-close@bugs.debian.org
Subject: Bug#668284: fixed in spice-xpi 2.8-2
Date: Fri, 27 Dec 2013 00:00:38 +0000
Source: spice-xpi
Source-Version: 2.8-2

We believe that the bug you reported is fixed in the latest version of
spice-xpi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated spice-xpi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Dec 2013 14:29:58 +0100
Source: spice-xpi
Binary: browser-plugin-spice
Architecture: source amd64
Version: 2.8-2
Distribution: unstable
Urgency: low
Maintainer: Petter Reinholdtsen <pere@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 browser-plugin-spice - XPI client for interacting with SPICE servers
Closes: 668284
Changes: 
 spice-xpi (2.8-2) unstable; urgency=low
 .
   * Change Vcs-Browser URL to the gitweb one as it is easier for humans
     to use.
   * Document that some files in spice-protocol/* have BSD and LGPL
     license and not MPL.
 .
 spice-xpi (2.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #668284).
Checksums-Sha1: 
 3e7f0ae76071b3b1662507376f280034b8d616cd 1377 spice-xpi_2.8-2.dsc
 8e2f24f2667c82c7a00efecaeb10b51e36b76e72 369029 spice-xpi_2.8.orig.tar.bz2
 da532e1ca772185d3e6caffe0abd09992062e27b 12046 spice-xpi_2.8-2.debian.tar.gz
 8ad2672219f9a4fdec0d6c373ad8b52f749999d5 32142 browser-plugin-spice_2.8-2_amd64.deb
Checksums-Sha256: 
 02d97c7881c38c88fafa926f464018e9bad05578681adfbea7b86886ba28b1cb 1377 spice-xpi_2.8-2.dsc
 190ab8df3919cfa961c8eb7ddf69aec5956c51b5be5540215689cad18f9c56b6 369029 spice-xpi_2.8.orig.tar.bz2
 096dbfacc60d5cde8cf44accbbb8e1b9ff6b3950755ddab93ce00acbc04657e1 12046 spice-xpi_2.8-2.debian.tar.gz
 38f28fb6c0479aa9f81faf495e9c5f75b69079cc4d6edf664e6df93cc4340d60 32142 browser-plugin-spice_2.8-2_amd64.deb
Files: 
 bff408fad9b2c4cb405134bf3e3d470b 1377 misc extra spice-xpi_2.8-2.dsc
 b9075ed8c4c308cb076f2152b8655d69 369029 misc extra spice-xpi_2.8.orig.tar.bz2
 a8ac2f3cd7b3689c2a5e9bb7fc4b6301 12046 misc extra spice-xpi_2.8-2.debian.tar.gz
 9e9c7581cdd24b3b5597582ddbd04694 32142 misc extra browser-plugin-spice_2.8-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSm2sq20zMSyow1ykRAmsxAKDbu1QD7X+WsjwZ725EhSTrxIWvjACdFhOA
edQgd9iGSB1X9BgohhzoPSY=
=+VUg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jan 2014 07:37:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:35:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.